<?php
/*
 * Plugin Hook: content
 * Plugin Name: 下载远程图片
 * Author: 系统自带插件
 * Version: 1.0
 * Plugin URI: about:blank
 * Description: 下载远程图片到本地文件夹并替换文档内容中的图片地址。
 */
if(!defined('IN_MICECMS')){header("HTTP/1.0 404 Not Found");die();}
function downimage($content){
	$dir=str_replace('\\','/', dirname(__FILE__)).'/';
	include_once $dir."getimage.php";

	$reg = "/<img.+src=\"?(.+\.(jpg|gif|bmp|bnp|png))\"?.+>/i";
	//把抠出来的 img 地址存放到 $img_array 变量中
	preg_match_all($reg, $content, $img_array, PREG_PATTERN_ORDER);
	//过滤重复的图片
	$img_array = array_unique($img_array[1]);


	foreach ($img_array as $img){
		$img = str_replace(array("'","\"","\'","\\"),array('','','',''),$img) ;
		//判断是否是自己网站上的 图片
		if(!stristr($img,MICE_URL)){// 如果这个图片不是自己服务器上的
			//读取图片文件
			$Gimg = new GetImage();
			$Gimg->source = $img;
			$Gimg->save_to = 'uploads/';
			$FILE = $Gimg->download(); //图片移动到本地
			//获取图片新路径
			$img_path = MICE_URL.'uploads/'.substr($img,strrpos($img,"/")+1);
			//文本路径替换
			$content = str_replace($img, $img_path, $content);
		}
	}
	return $content;
}
?>